## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iODEHingeJoint Struct Reference

ODE hinge joint (contrainted translation and 1 free rotation axis). More...

`#include <ivaria/ode.h>`

Inheritance diagram for iODEHingeJoint:

[legend]
List of all members.

## Public Member Functions

virtual csVector3 | GetAnchorError ()=0
| This value will show you how far the joint has come apart.
virtual csVector3 | GetHingeAnchor1 ()=0
| Get the joint anchor point, in world coordinates.
virtual csVector3 | GetHingeAnchor2 ()=0
| Get the joint anchor point, in world coordinates.
virtual float | GetHingeAngle ()=0
| Get the hinge angle.
virtual float | GetHingeAngleRate ()=0
| Get the time derivative of angle value.
virtual csVector3 | GetHingeAxis ()=0
| Get free hinge axis.
virtual void | SetHingeAnchor (const csVector3 &pos)=0
| Set the joint anchor point.
virtual void | SetHingeAxis (const csVector3 &axis)=0
| Sets free hinge axis.

## Detailed Description

ODE hinge joint (contrainted translation and 1 free rotation axis).

Definition at line 802 of file ode.h.

## Member Function Documentation

virtual csVector3 iODEHingeJoint::GetAnchorError | ( |  | ) | `[pure virtual]`

| This value will show you how far the joint has come apart.

virtual csVector3 iODEHingeJoint::GetHingeAnchor1 | ( |  | ) | `[pure virtual]`

| Get the joint anchor point, in world coordinates. This returns the point on body 1.

virtual csVector3 iODEHingeJoint::GetHingeAnchor2 | ( |  | ) | `[pure virtual]`

| Get the joint anchor point, in world coordinates. This returns the point on body 2.

virtual float iODEHingeJoint::GetHingeAngle | ( |  | ) | `[pure virtual]`

| Get the hinge angle. The nagle is measured between the two bodies. The angle will be between -pi..pi. When the hinge anchor or axis is set, the current position of the attached bodies is examined and that position will be the zero angle.

virtual float iODEHingeJoint::GetHingeAngleRate | ( |  | ) | `[pure virtual]`

| Get the time derivative of angle value.

virtual csVector3 iODEHingeJoint::GetHingeAxis | ( |  | ) | `[pure virtual]`

| Get free hinge axis.

virtual void iODEHingeJoint::SetHingeAnchor | ( | const csVector3 & | pos | ) | `[pure virtual]`

| Set the joint anchor point. The joint will try to keep this point on each body together. Input specified in world coordinates.

virtual void iODEHingeJoint::SetHingeAxis | ( | const csVector3 & | axis | ) | `[pure virtual]`

| Sets free hinge axis.

The documentation for this struct was generated from the following file:

- ivaria/ode.h